Subject: Re: [Q] HDF-Vset

From: [email-masked] (MARTIN GEGENHEIMER AK kappes)
Date: 18 Oct 1993 22:39:05 GMT

In article <chouck.750981306@xongmao>, [email-masked] (Chris Houck) writes:
|> [email-masked] (Andrea Leone) writes:
|> 
|> >In HDF3.3r1 there is a function to get the number type 
|> >of a Vdata field. Its name is VFfieldtype and has two
|> >arguments:
|> >
|> >- the Vdata identifier (int32)
|> >- the index of the field (int32)
|> >
|> >This function is in vsfld.c file.
|> 
|> There are a number of other useful field manipulation routines in
|> vsfld.c also.  They are all named VFfield****().
|> 
|> char * VFfieldname(int32 vkey, int32 index)
|> int32 VFfieldtype(int32 vkey, int32 index)
|> int32 VFfieldisize(int32 vkey, int32 index) /* size in bytes in file   */
|> int32 VFfieldesize(int32 vkey, int32 index) /* size in bytes in memory */
|> int32 VFfieldorder(int32 vkey, int32 index)
|> 
|> These routines will be included in the documentation when it comes
|> out (though aside from the esize and isize ones, which I always have to
|> look up, the names should be fairly self explanatory).
|> 
|> -Chris
|> HDF Group

Thanks for the replies, it works.

But I have another question:

I'd like to store data over arbitary grids (including unstructured grids).
At the moment I'm setting this up on top of the Vset (with Vgroups and
Vdatas, and SD-sets for 8byte-floating-point data) by using the Vset
classes as tags. Is there an implemtation of that based directly on
HDF-tags?

- Martin

-- 
Martin Gegenheimer
Institut fuer Physikalische Chemie II
Kaiserstr.12
76128 Karlsruhe
Germany

e-mail: [email-masked]
voice: ++49 721 608-3255
fax  : ++49 721 608-4856